Change logs for python-mode source package in Sid

  • python-mode (1:6.2.3-1.4) unstable; urgency=medium
    
      * Non-maintainer upload
      * Rebuild to drop the python dependency.
      * Bump debhelper and standards vesion.
    
     -- Matthias Klose <email address hidden>  Wed, 05 Aug 2020 15:26:02 +0200
  • python-mode (1:6.2.3-1.3) unstable; urgency=medium
    
      * Replace previous NMU with a new source-only upload.
    
     -- Kenneth J. Pronovici <email address hidden>  Thu, 08 Aug 2019 02:42:54 +0000
  • python-mode (1:6.2.3-1.2) unstable; urgency=medium
    
      * Non-maintainer upload
      * Adjust debian/control to remove pychecker from Recommends (closes: #930399)
      * Update debian/README.Debian to discuss pychecker removal
    
     -- Kenneth J. Pronovici <email address hidden>  Tue, 30 Jul 2019 21:51:31 +0000
  • python-mode (1:6.2.3-1.1) unstable; urgency=medium
    
      * Non-maintainer upload
      * Drop xemacs21 support (Closes: #909383, #680578, #837991)
    
     -- Hilko Bengen <email address hidden>  Sat, 09 Feb 2019 16:56:13 +0100
  • python-mode (1:6.2.3-1) unstable; urgency=medium
    
      * New upstream release.
      * d/control: 
        - Bump Standards-Version to 3.9.8 with no other changes needed.
        - Add dh-python to Build-Depends as per lintian warning.
    
     -- Barry Warsaw <email address hidden>  Tue, 17 Jan 2017 16:33:55 -0500
  • python-mode (1:6.2.2-1) unstable; urgency=medium
    
      * New upstream release. (Closes: #679967)
      * d/control:
        - Bump Standards-Version to 3.9.6 with no other changes needed.
        - Update Vcs-* headers for conversion to git and push to collab-maint.
        - Update Depends as per Debian Emacs Policy.
      * d/rules: Add emacsen-common compat file as per Debian Emacs Policy.
        (Closes: #775596)
    
     -- Barry Warsaw <email address hidden>  Thu, 11 Feb 2016 17:19:28 -0500
  • python-mode (1:6.1.3-2) unstable; urgency=medium
    
    
      * d/control: Updated Depends to generic 'emacs' to remove dependency on
        the soon-to-be removed Emacs 23.  (Closes: #754016)
    
     -- Barry Warsaw <email address hidden>  Thu, 10 Jul 2014 16:09:22 -0400
  • python-mode (1:6.1.3-1) unstable; urgency=medium
    
    
      * New upstream release.
      * d/control:
        + Update Maintainer field to my debian.org address.
        + Bump Standards-Version to 3.9.5 with no additional changes necessary.
    
     -- Barry Warsaw <email address hidden>  Mon, 03 Feb 2014 17:52:50 -0500
  • python-mode (1:6.1.1-1) unstable; urgency=low
    
    
      * New upstream release.  (Closes: #681502)
      * debian/patches/no-pymacs.patch: Removed, applied upstream.
    
     -- Barry Warsaw <email address hidden>  Mon, 25 Feb 2013 10:55:58 -0500
  • python-mode (1:6.0.12-2) unstable; urgency=low
    
    
      [ Urs Fleisch ]
      * debian/emacsen-install, debian/rules: A correct fix for the
        installation of pycomplete.el.
      
      [ Barry Warsaw ]
      * debian/control: Update Vcs-Browser and Vcs-Bzr urls.
      * debian/copyright: Update.  (Closes: #689327)
    
     -- Barry Warsaw <email address hidden>  Fri, 05 Oct 2012 17:19:49 -0400
  • python-mode (1:6.0.12-1) unstable; urgency=low
    
    
      * New upstream release.
        Closes: #679968
      * Fix 50python-mode.el's auto-mode-alist to match python-mode.el.
        Closes: #670332
      * Add python2.7, python3, and python3.2 to interpreter-mode-alist in
        50python-mode.el
      * debian/rules, debian/patches/no-pymacs.patch: Copy
        completion/pycomplete.el and test/doctest-mode.el
        to /usr/share/emacs/site-list/python-mode/ to restore their
        functionality.  The patch is necessary to avoid byte-compilation
        errors on package install when pymacs is not available.
        Closes: #688037
       * debian/emacsen-install: Skip emacs21, which doesn't have flymake as
         required by python-mode.el.  Closes: #680577
    
     -- Barry Warsaw <email address hidden>  Fri, 28 Sep 2012 14:21:32 -0400
  • python-mode (1:6.0.10-1.1) unstable; urgency=low
    
    
      * Non-maintainer upload
      * Fixed upgrade failure: Symlinks are sufficient (Closes: #679591)
    
     -- Hilko Bengen <email address hidden>  Mon, 16 Jul 2012 20:50:45 +0200
  • python-mode (1:6.0.10-1) unstable; urgency=low
    
    
      * New upstream release.
        + Closes: #159628
        + Closes: #160130
        + Closes: #311398
        + Closes: #654398
        + Closes: #670332
        + Closes: #676397
      * debian/README.debian: Updated.
      * debian/README.source: Added.
      * debian/NEWS: Added.
      * debian/compat: Update to version 9 compatibility.
      * debian/control:
        + Install myself as Maintainer w/previous maintainers approval.
        + Update Standards-Version and Build-Depends.
        + Add X-Python{,3}-Version headers.
        + Update Vcs-* headers.
        + Demote pymacs from a Depends to a Recommends.
        + B-D on debhelper 9.
      * debian/copyright: Updated to reflect upstream reality.
      * debian/emacsen-install: Symlink to the .el file from the FLAVOR
        directory so that python-mode.el is on load-path.  (Closes: #311382)
      * debian/rules:
        + dh_clean -k -> dh_prep
        + dh_pycentral -> dh_python2
      * debian/source/format: 3.0 (quilt)
      * debian/watch: Fixed for new tarball releases.
    
     -- Barry Warsaw <email address hidden>  Thu, 28 Jun 2012 10:02:20 -0400
  • python-mode (1:5.1.0-1) unstable; urgency=low
    
    
      * New Debian maintainer
      * Fresh upstream release of python-mode.el, which also includes
        - doctest-mode.el ver. 0.5 alpha
        - pycomplete.el as of  Oct 21 2004
      * Fresh upstream fixes:
        - provides alias for read-shell-command to read-string
          (closes: #209723)
        - no obsolete syntax (closes: #503132)
      * Changes/fixes in Debian packaging:
        - debian/emacsen-startup -- clean-up, python2.6, untabify,
          adopting strategy to check in emacsen-startup from
          emacs-goodies (closes: #493919)
        - debian/control -- recommends pychecker (closes: #458997), suggests
          pylint, provides vcs-, homepage fields, adjusted descriptions, fixed
          depends to rely on current version of emacs (22) or any emacsen
          (closes: #473232), added needed python's depends (due to pycomplete)
        - debian/copyright -- moving to machine-interpretable format
        - debian/watch - watches new releases from lp (closes: #450276)
        - provided .gbp.conf for easy building using git-buildpackage
      * Obsolete bugs (closes: #462281)
    
     -- Yaroslav Halchenko <email address hidden>  Sun, 01 Feb 2009 12:22:10 -0500
  • python-mode (1:1.0-3.1) unstable; urgency=medium
    
    
      * Non-maintainer upload.
      * Update pymacs path and dependency.  Closes: #378699.
    
     -- Matej Vela <email address hidden>  Wed,  2 Aug 2006 09:55:09 +0200